> Author : Zhihui Li, Qingwang Chen
>
> E-mail：[18210700119@fudan.edu.cn](mailto:18210700119@fudan.edu.cn), [20110700030@fudan.edu.cn](mailto:20110700030@fudan.edu.cn)
>
> Git: <http://choppy.3steps.cn/lizhihui/fastqscreen.git>
>
> Last Updates: 24/12/2021

## 简介

FastQ Screen是通过定量比对到一组参考基因组上的reads比例，验证DNA样品来源的工具。它把把常见的基因组建个索引，然后逐个比对，哪个比对最高，就是哪个污染。当需要确认来源基因组时，需要针对多个基因组进行比对。它通过定量比对到一组参考基因组上的reads比例，验证DNA样品来源的工具。FastQ Screen旨在常规地用作一种质量控制措施和分析DNA来源不确定或具有多种来源的样品。针对多个基因组进行比对对检测污染或鉴定样品互换也是有用的，若不检测，可能导致错误的实验结果。`fastqscreen`是用于 [Choppy-pipe](http://choppy.3steps.cn/) 系统使用的 APP。

## 快速安装及使用

#### Requirements

- Choppy
- Ali-Cloud
- Linux

在终端中输入以下命令即可快速安装本APP。

```bash
# 激活choppy环境
$ source activate choppy (open-choppy-env)

# 第一次安装
$ choppy install chenqingwang/fastqscreen
# 非第一次安装
$ choppy install chenqingwang/fastqscreen -f 

# 查询已安装APP
$ choppy apps
```

#### Quick Start

```bash
# 准备 samples.csv 文件
$ choppy samples chenqingwang/fastqscreen-latest > samples.csv
# 准备无默认参数的samples.csv 文件
choppy samples --no-default chenqingwang/fastqscreen-latest > samples.csv

# 提交任务
$ choppy batch chenqingwang/fastqscreen-latest samples.csv -p Your_project_name -l Your_label

# 查询任务运行状况
$ choppy query -L Your_label | grep "status"

# 查询失败任务
$ choppy search -s Failed -p Your_project_name -u chenqingwang --short-format

# 结果文件地址
$ oss://choppy-cromwell-result/test-choppy/Your_project_name/
```



### 任务输出

任务成功结束后，便可以在阿里云相应的OSS端生成相应的结果文件。包括测序原始数据对多个基因组进行比对产生的包含来源基因组信息的`html`、`png`、`txt`文件。

## APP流程概述

​    FastQ Screen把常见的基因组建个索引，然后逐个比对，哪个比对最高，就是哪个污染。是高通量测序分析中常见的工具，用于评估样品是否被其他物种污染，常见的有支原体污染，接头污染等，一般会整合到分析流程中，作为质控的一部分。

## 输出文件说明

运行APP后，

每个sample对应一个文件夹，内部结构如下：

- call-fastq_screen

  - <sample_id>_screen.html

  - <sample_id>_screen.png

  - <sample_id>_screen.txt

    

## 软件版本及参数

### 软件版本

fastqscreen: 0.12.0


### 使用参数

1. disk_size: 300
2. fastq_screen_reference: oss://pgx-reference-data/fastq_screen_reference/
3. cluster_config: OnDemand bcs.a2.large img-ubuntu-vpc


## 参考文献

[1] Wingett SW and Andrews S. FastQ Screen: A tool for multi-genome mapping and quality control [version 2; peer review: 4 approved]. F1000Research 2018, 7:1338 (https://doi.org/10.12688/f1000research.15931.2)
